curl --request PATCH \
--url https://api.sandbox.tesouro.com/finops/v1/tags/{tag_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"category": "department",
"description": "Tag for the Marketing Department",
"name": "Marketing"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/tags/{tag_id}"
payload = {
"category": "department",
"description": "Tag for the Marketing Department",
"name": "Marketing"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
category: 'department',
description: 'Tag for the Marketing Department',
name: 'Marketing'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"created_at": "2022-09-07T16:35:18.484507+00:00",
"updated_at": "2022-09-07T16:35:18.484507+00:00",
"name": "Marketing",
"category": "department",
"created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
"description": "Tag for the Marketing Department"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Update tag
Change the tag name. The new name must be unique among existing tags.
Tag names are case-sensitive, that is Marketing and marketing are two different tags.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Path Parameters
Body
The tag category.
document_type, department, project, cost_center, vendor_type, payment_method, approval_status "department"
The tag description.
1 - 255"Tag for the Marketing Department"
The tag name. Must be unique.
1 - 255"Marketing"
Response
Successful Response
Represents a user-defined tag that can be assigned to resources to filter them.
A unique ID of this tag.
"ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
The tag name.
"Marketing"
The tag category.
document_type, department, project, cost_center, vendor_type, payment_method, approval_status "department"
ID of the user who created the tag.
"ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
The tag description.
1 - 255"Tag for the Marketing Department"
Was this page helpful?